[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarToUnicodeStrDef

Convert a variant to string value, specifying a default

## Declaration

Source position: variants.pp line 91

`function VarToUnicodeStrDef(`
`const V: Variant;`
`const ADefault: UnicodeString`
`):UnicodeString;`

## Description

VarToUnicodeStr attempts to convert the variant V to a string. If the value is Null, the result is the specified aDefault string.

## See also

VarToUnicodeStr |  | Convert a variant to string value
VarToStrDef |  | Convert a variant to string value, specifying a default
VarIsStr |  | Check if the variant is a string
VarToWideStr |  | Convert a variant to string value
VarToWideStrDef |  | Convert a variant to string value, specifying a default